Bug 146252 - Thunderbird segfaults on chinese characters
Thunderbird segfaults on chinese characters
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 09:35 EST by Tim Niemueller
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-13 05:19:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2005-01-26 09:35:27 EST
Description of problem:
Thunderbird crashes when trying to read chinese emails containing
chinese characters (for example in the sender) if the ttfonts-zh_CN
package is installed.

Version-Release number of selected component (if applicable):
thunderbird-0.9-1.fc3
ttfonts-zh_CN-2.14-10

How reproducible:
Always

Steps to Reproduce:
1. Start Thunderbird
2. Open email with chinese sender and chinese chars
3. See Thunderbird crash
  
Actual results:
Segfault

Expected results:
Display of email

Additional info:
Here are some lines of straced to help track down the problem:

[pid  4574] open("/usr/share/fonts/zh_CN/TrueType/zysong.ttf",
O_RDONLY) = -1 ENOENT (No such file or directory)
[pid  4574] open("/usr/share/fonts/zh_CN/TrueType/zysong.ttf",
O_RDONLY) = -1 ENOENT (No such file or directory)
[pid  4574] --- SIGSEGV (Segmentation fault) @ 0 (0) ---

It seems that if the /usr/share/fonts/zh_CN directory exists
thunderbird tries to opened the TrueType/zysong.ttf file from there.
But this file is not part of the ttfonts-zh_CN package. The error is
not handled correctly as it seems (probably thunderbird just reads
without verifying the open result, didn't look into the src though).
Comment 1 Matthew Miller 2006-07-10 16:21:11 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Nicole Dai 2006-10-13 05:19:57 EDT
Confirmed that the problem was not found in FC6 test release with:
fonts-chinese-3.02-7.fc6
thunderbird-1.5.0.7-3.fc6
and FC5 updates with
fonts-chinese-3.02-4.1
thunderbird-1.5-6

Note You need to log in before you can comment on or make changes to this bug.